Bug 222696 - www/yarn version 1.0.2 cannot be executed
Summary: www/yarn version 1.0.2 cannot be executed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-30 08:52 UTC by Matthias Fechner
Modified: 2017-10-02 06:16 UTC (History)
0 users

See Also:
pizzamig: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2017-09-30 08:52:31 UTC
Install yarn (version 1.0.2).
Execute:
yarn --help

It shows:
module.js:473
      throw err;
      ^

Error: Cannot find module '/usr/local/etc/nginx/lib/node_modules/yarn/bin/yarn.js'
    at Function.Module._resolveFilename (module.js:527:15)
    at Function.Module._load (module.js:453:25)
    at Function.Module.runMain (module.js:665:10)
    at startup (bootstrap_node.js:187:16)
    at bootstrap_node.js:607:3
Comment 1 commit-hook freebsd_committer 2017-09-30 11:23:50 UTC
A commit references this bug:

Author: pizzamig
Date: Sat Sep 30 11:23:12 UTC 2017
New revision: 450977
URL: https://svnweb.freebsd.org/changeset/ports/450977

Log:
  www/yarn: update to 1.1.0 and fix the yarn script

  Re-enabling the readlink -f option on FreeBSD
  Update to version 1.1.0

  PR:		222696
  Approved by:	olivier (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12542

Changes:
  head/www/yarn/Makefile
  head/www/yarn/distinfo
Comment 2 Matthias Fechner freebsd_committer 2017-10-02 06:16:36 UTC
Thanks, I tested the new version 1.1.0_1 and it fixes the problem.
Nice trick using @${REINPLACE_CMD} to avoid a patch file ;)